program GIIIrce;

{$APPTYPE CONSOLE}

uses
  SysUtils,math;

  var xi, psi, dxi, dpsidxi, d2psid2xi : real;
  var T : integer;

begin
xi:=1;
psi:=1;
dxi:=1E-5;
dpsidxi:=1E-5;
T:=0;


repeat
begin
d2psid2xi:=exp(-psi)-(2/(xi+1E-10))*dpsidxi;
dpsidxi:=dpsidxi+d2psid2xi*dxi;
psi:=psi+dpsidxi*dxi;
xi:=xi+dxi;
writeln(psi,'   	 ',xi,'     ',dpsidxi,'     ',dxi,'     ',d2psid2xi);
T:=T+1;
end;
until T > 100000;

end.

// GIIIrce.exe>GIIIrce.txt
